Ticket #1090 (closed defect: fixed)

Opened 10 years ago

Last modified 5 years ago

Improvement Jaws_Registry

Reported by: afz Assigned to: afz
Priority: high Milestone: 0.9.0
Component: Core / Registry Version: SVN
Severity: major Keywords:
Cc:

Description (Last modified by afz)

1. change table struct to (id, comp_name, comp_type, key_name, key_value, updatetime)
2. auto load and caching components registry keys(so not need use LoadFile? before use component registry keys)
3. auto detect changed registry keys of components, so auto commit registry keys:

function commit()
{
  $components = func_get_args();
  if (empty($components) {
    // commit all detect components registry keys was changed
    // Mass insert/update changes into DB if possible
  } else {
    // commit only components that passed to this method if was changed
    // Mass insert/update changes into DB if possible
  }
}

so only need call commit method.
4. Add new method to Jaws_gadget for Add/Set/Get/Del for use more easy of Jaws_Registry
in gadgets use code like this:

$this->AddRegKey('key_name', 'key_value');
$this->SetRegKey('key_name', 'key_value');
$this->GetRegKey('key_name');
$this->DelRegKey('key_name');
$this->GetRegKey('key_name', 'another component');
$this->SetRegKey('key_name', 'key_value', 'another component');

Attachments

Change History

03/27/08 13:30:09 changed by afz

  • status changed from new to assigned.

08/12/08 08:11:38 changed by afz

  • description changed.

06/18/13 15:22:40 changed by afz

  • status changed from assigned to closed.
  • resolution set to fixed.

Add/Change #1090 (Improvement Jaws_Registry)




Change Properties
Action